Get Activity Logs
curl --request POST \
--url https://api.velt.dev/v2/activities/get \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentId": "<string>",
"targetEntityId": "<string>",
"featureTypes": [
"<string>"
],
"actionTypes": [
"<string>"
],
"userId": "<string>",
"activityIds": [
"<string>"
],
"order": "<string>",
"pageSize": 123,
"pageToken": "<string>"
}
}
'import requests
url = "https://api.velt.dev/v2/activities/get"
payload = { "data": {
"organizationId": "<string>",
"documentId": "<string>",
"targetEntityId": "<string>",
"featureTypes": ["<string>"],
"actionTypes": ["<string>"],
"userId": "<string>",
"activityIds": ["<string>"],
"order": "<string>",
"pageSize": 123,
"pageToken": "<string>"
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentId: '<string>',
targetEntityId: '<string>',
featureTypes: ['<string>'],
actionTypes: ['<string>'],
userId: '<string>',
activityIds: ['<string>'],
order: '<string>',
pageSize: 123,
pageToken: '<string>'
}
})
};
fetch('https://api.velt.dev/v2/activities/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Activity(s) retrieved successfully.",
"data": [
{
"id": "activity-001",
"featureType": "comment",
"actionType": "comment.add",
"actionUser": {
"userId": "user-1",
"email": "user@example.com",
"name": "User Name"
},
"targetEntityId": "annotation-789",
"displayMessageTemplate": "{{user}} added a comment",
"displayMessageTemplateData": {
"user": {
"userId": "user-1",
"name": "User Name"
}
},
"metadata": {
"apiKey": "yourApiKey",
"documentId": "doc-456",
"organizationId": "org-123"
},
"timestamp": 1722409519944
}
],
"pageToken": "nextPageToken"
}
}
Activity Logs
Get Activity Logs
POST
/
v2
/
activities
/
get
Get Activity Logs
Use this API to retrieve activity log records for a document or organization.
Endpoint
POST https://api.velt.dev/v2/activities/get
Headers
Your API key.
Your Auth Token.
Body
Params
Show properties
Show properties
Organization ID
Document ID. Filter activities to a specific document.
Target entity ID. Filter activities to a specific entity (e.g., annotation ID).
Filter by feature type. Must be one or more of:
"comment", "reaction", "recorder", "crdt", "custom".Filter by action type (e.g.,
["comment.add"]).Filter activities by the acting user’s ID.
Fetch specific activities by ID.
Order results by timestamp. Must be
asc or desc. Default: desc.Number of items to retrieve per page. Default: 1000. Minimum: 1.
Encrypted pagination token retrieved from a previous API response.
Example Requests
1. Get by organizationId and documentId
{
"data": {
"organizationId": "org-123",
"documentId": "doc-456",
"order": "desc",
"pageSize": 50
}
}
2. Get by organizationId, documentId and featureTypes
{
"data": {
"organizationId": "org-123",
"documentId": "doc-456",
"featureTypes": ["comment"],
"order": "desc",
"pageSize": 50
}
}
3. Get specific activity logs by activityIds
{
"data": {
"organizationId": "org-123",
"activityIds": ["activity-001", "activity-002"]
}
}
4. Get by targetEntityId with pagination
{
"data": {
"organizationId": "org-123",
"documentId": "doc-456",
"targetEntityId": "annotation-789",
"pageSize": 20,
"pageToken": "encryptedPageToken"
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Activity(s) retrieved successfully.",
"data": [
{
"id": "activity-001",
"featureType": "comment",
"actionType": "comment.add",
"actionUser": {
"userId": "user-1",
"email": "user@example.com",
"name": "User Name"
},
"targetEntityId": "annotation-789",
"displayMessageTemplate": "{{user}} added a comment",
"displayMessageTemplateData": {
"user": {
"userId": "user-1",
"name": "User Name"
}
},
"metadata": {
"apiKey": "yourApiKey",
"documentId": "doc-456",
"organizationId": "org-123"
},
"timestamp": 1722409519944
}
],
"pageToken": "nextPageToken"
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Activity(s) retrieved successfully.",
"data": [
{
"id": "activity-001",
"featureType": "comment",
"actionType": "comment.add",
"actionUser": {
"userId": "user-1",
"email": "user@example.com",
"name": "User Name"
},
"targetEntityId": "annotation-789",
"displayMessageTemplate": "{{user}} added a comment",
"displayMessageTemplateData": {
"user": {
"userId": "user-1",
"name": "User Name"
}
},
"metadata": {
"apiKey": "yourApiKey",
"documentId": "doc-456",
"organizationId": "org-123"
},
"timestamp": 1722409519944
}
],
"pageToken": "nextPageToken"
}
}
Was this page helpful?
⌘I

